Skip to main content

Documentation Index

Fetch the complete documentation index at: https://gr4vy.radial-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Setup

Please follow the common Nuvei instructions to get set up with PSE. Next, make sure to enable IDEAL as a payment method on your configured account.

Integration & Testing

The PSE connection via Nuvei requires a few fields.
  • buyer.billing_details.first_name and buyer.billing_details.last_name - Customer name
  • connection_options.nuvei-pse.userType - Customer type (“N” for personal, “J” for a legal entity)
  • connection_options.nuvei-pse.userFisNumber - Customer’s document type
  • connection_options.nuvei-pse.fiscalNumber - Customer’s document number
  • buyer.billing_details.email_address - Customer’s email
  • connection_options.nuvei-pse.bankCode - The bank code of the selected bank
POST /transactions

{
    "amount": 4000,
    "country": "CO",
    "currency": "COP",
    "intent": "capture",
    "payment_method": {
        "method": "pse",
        "redirect_url": "https://example.com",
    },
    "buyer": {
        "billing_details": {
            "first_name": "John",
            "last_name": "Doe"
        }
    },
    "connection_options": {
        "nuvei-pse": {
            "userType": "N",
            "userFisNumber": "CC",
            "fiscalNumber": "1148217216",
            "bankCode": "1022",
        }
    }
}
We recommend using bankCode 1022 for testing. Please refer to the Nuvei docs on PSE for further integration and testing instructions.